const { employees } = require("../mock/dummy");

const resolvers = {
  Query: {
    findAll: (parent, args) => {
      console.log("fetching all");
      return employees;
    }
  },

  Mutation: {
    create: (parent, args) => {
      console.log("inserting new user");
      const ids = employees.map((o) => o.id);
      const max = Math.max(...ids);
      const emp = {
        id: max + 1,
        name: args.name,
        gender: args.gender,
        email: args.email
      };
      employees.push(emp);
      return { code: 201, message: `${emp.id} inserted` };
    }
  }
};

module.exports = { resolvers };
