const { gql } = require("apollo-server-express");

const typeDefs = gql`
  type Employee {
    id: Int!
    name: String!
    gender: String!
    email: String!
  }

  type Response {
    code: Int!
    message: String!
  }

  #Query
  type Query {
    findAll: [Employee!]!
  }

  #Mutation
  type Mutation {
    create(name: String!, gender: String!, email: String!): Response!
  }
`;

module.exports = { typeDefs };
